package com.huigou.topsun.sap.salesOrder.controller;

import com.huigou.topsun.sap.salesOrder.application.SapSalesOrderApplication;
import com.huigou.topsun.sap.salesOrder.domain.SapSalesOrder;
import com.huigou.topsun.sap.salesOrder.domain.SapSalesOrderItem;
import com.huigou.topsun.sap.salesOrder.domain.SapSalesOrderOtherInfo;
import com.huigou.uasp.annotation.ControllerMapping;
import com.huigou.uasp.client.CommonController;
import com.huigou.util.SDO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;

import java.util.Optional;

@Controller
@ControllerMapping("/sapSalesOrder")
public class SapSalesOrderController extends CommonController {
    @Autowired
    private SapSalesOrderApplication sapSalesOrderApplication;

    @Override
    protected String getPagePath() {
        return "/biz/topsun/sap/salesOrder/";
    }

    public void saveSalesOrder() {
        SDO sdo = getSDO();
        SapSalesOrder sapSalesOrder = sdo.toObject(SapSalesOrder.class);
        SapSalesOrderItem sapSalesOrderItem = sdo.toObject(SapSalesOrderItem.class);
        SapSalesOrderOtherInfo sapSalesOrderOtherInfo = sdo.toObject(SapSalesOrderOtherInfo.class);
        sapSalesOrderApplication.saveSalesOrder(sapSalesOrder,sapSalesOrderItem,sapSalesOrderOtherInfo);
    }


}
